Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Хочу поставить discord.py на ubuntu 14.04, вылезает ошибка  (Прочитано 915 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Лиса Алиса

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
>pip3 install discord.py

Traceback (most recent call last):
  File "/usr/bin/pip3", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3/dist-packages/pkg_resources.py", line 1479, in <module>
    register_loader_type(importlib_bootstrap.SourceFileLoader, DefaultProvider)
AttributeError: module 'importlib._bootstrap' has no attribute 'SourceFileLoader'

Что-то не установлено?
« Последнее редактирование: 12 Апрель 2019, 20:32:09 от Aleksandru »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
pip install python-dotenv

Оффлайн Лиса Алиса

  • Автор темы
  • Новичок
  • *
  • Сообщений: 12
    • Просмотр профиля
Traceback (most recent call last):
  File "/usr/lib/python3.7/dbm/gnu.py", line 4, in <module>
    from _gdbm import *
ModuleNotFoundError: No module named '_gdbm'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line 7, in <module>
    import dbm.gnu as gdbm
  File "/usr/lib/python3.7/dbm/gnu.py", line 6, in <module>
    raise ImportError(str(msg) + ', please install the python3-gdbm package')
ImportError: No module named '_gdbm', please install the python3-gdbm package

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/command-not-found", line 27, in <module>
    from CommandNotFound.util import crash_guard
  File "/usr/lib/python3/dist-packages/CommandNotFound/__init__.py", line 3, in <module>
    from CommandNotFound.CommandNotFound import CommandNotFound
  File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line 9, in <module>
    import gdbm
ModuleNotFoundError: No module named 'gdbm'


Пользователь добавил сообщение 12 Апрель 2019, 20:30:43:
Питон ставила так:
sudo add-apt-repository ppa:deadsnakes/ppa

Цитировать
Правила форума
1.4. Листинги и содержимое текстовых файлов следует добавлять в сообщение с помощью тегов [spoiler]...[/spoiler] или [code]...[/code], либо прикреплять к сообщению в виде отдельного файла. Длинные гиперссылки следует оформлять при помощи тега [url=]...[/url]

  --Aleksandru
« Последнее редактирование: 12 Апрель 2019, 20:31:44 от Aleksandru »

 

Страница сгенерирована за 0.073 секунд. Запросов: 26.